Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Internal Class Reference

This class encapsulates some private behaviors and global data structures used internal to TAO. No application should EVER see this class. More...

`#include <TAO_Internal.h>`

List of all members.

## Static Public Methods
int | open_services (int &argc, ACE_TCHAR **argv)
| Extract ACE Service Configurator arguments from the given argument vector, and initialize the ACE Service Configurator. This method should be called before the ORB Core is initialized, and before any ORBInitializers are invoked. More...
int | close_services (void)
| The complement to open_services(), this will perform appropriate ACE Service Configurator closure operations. More...
void | default_svc_conf_entries (const char *resource_factory_args, const char *server_strategy_factory_args, const char *client_strategy_factory_args)
| Set default `svc.conf' content. This call has no effect if This function must be called before first ORB initialization. More...
## Private Methods
| TAO_Internal (void)
| Private constructor prevents this class from being instantiated. More...
## Static Private Methods
int | open_services_i (int &argc, char **argv, int ignore_default_svc_conf_file=0, int skip_service_config_open=0)
| Initialize the ACE Service Configurator. More...
## Static Private Attributes
int | service_open_count_ = 0
  | Number of times open_services() has been called. Incremented by open_services(), and decremented by close_services(). Access to this is protected via the Parameters:
  ACE_Static_Object_Lock. |
More...
const char * | resource_factory_args_ = 0
const char * | server_strategy_factory_args_ = 0
const char * | client_strategy_factory_args_ = 0

## Detailed Description

This class encapsulates some private behaviors and global data structures used internal to TAO. No application should EVER see this class.

## Constructor & Destructor Documentation

TAO_Internal::TAO_Internal | ( | void |  | ) | `[private]`

| Private constructor prevents this class from being instantiated.

## Member Function Documentation

int TAO_Internal::close_services | ( | void |  | ) | `[static]`

| The complement to open_services(), this will perform appropriate ACE Service Configurator closure operations. It should be called as many times as open_services(), and will only actually close things down on the last call. It is fully thread-safe. Return 0 if successful, -1 with errno set if failure.

void TAO_Internal::default_svc_conf_entries | ( | const char * | resource_factory_args,
|  | const char * | server_strategy_factory_args,
|  | const char * | client_strategy_factory_args
| ) | `[static]`

| Set default `svc.conf' content. This call has no effect if This function must be called before first ORB initialization.

int TAO_Internal::open_services | ( | int & | argc,
|  | ACE_TCHAR ** | argv
| ) | `[static]`

| Extract ACE Service Configurator arguments from the given argument vector, and initialize the ACE Service Configurator. This method should be called before the ORB Core is initialized, and before any ORBInitializers are invoked.

int TAO_Internal::open_services_i | ( | int & | argc,
|  | char ** | argv,
|  | int | ignore_default_svc_conf_file = 0,
|  | int | skip_service_config_open = 0
| ) | `[static, private]`

  | Initialize the ACE Service Configurator. This is a one-shot method, i.e., it can be called multiple times but it will only do its work once. It does, however, track the number of times it's called (see open_services()). It is fully thread-safe. Return 0 if successful, -1 with errno set if failure. You can provide your program a set of default `svc.conf' entries by setting ignore_default_svc_conf_file to non-zero and use default_svc_conf_entries() before calling open_services(). In addition, you can skip_service_config_open altogether, which is important if the ORB is linked in via the Parameters:
  ACE_Service_Configurator, which | is non-reentrant.

## Member Data Documentation

const char * TAO_Internal::client_strategy_factory_args_ = 0`[static, private]`

const char * TAO_Internal::resource_factory_args_ = 0`[static, private]`

const char * TAO_Internal::server_strategy_factory_args_ = 0`[static, private]`

int TAO_Internal::service_open_count_ = 0`[static, private]`

  | Number of times open_services() has been called. Incremented by open_services(), and decremented by close_services(). Access to this is protected via the Parameters:
  ACE_Static_Object_Lock. |

The documentation for this class was generated from the following files:

- TAO_Internal.h
- TAO_Internal.cpp